Name:           paps
Version:        0.8.0
Release:        1
License:        LGPLv2+
Summary:        Plain Text to PostScript converter
URL:            http://paps.sourceforge.net/
Source0:        https://github.com/dov/paps/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        http://downloads.sourceforge.net/paps/paps-0.6.8.tar.gz
BuildRequires:  pango-devel automake autoconf libtool doxygen cups-devel intltool
BuildRequires:  gcc-c++ fmt-devel
Requires:       cups-filesystem fontpackages-filesystem
Provides:       paps-libs = %{version}-%{release}
Obsoletes:      paps-libs
Patch0000:      paps-0.6.8-shared.patch
Patch0001:      paps-0.6.8-wordwrap.patch
Patch0002:      paps-langinfo.patch
Patch0003:      paps-0.6.6-lcnumeric.patch
Patch0004:      paps-exitcode.patch
Patch9001:      paps-fix_manpage_inconsistency_issues.patch
Patch9002:      paps-applied_to_work_paps_as_cups_filter.patch
Patch9003:      paps-cpi_scale_calculation.patch
Patch9004:      paps-fix_dsc_compliant_issues.patch
Patch9005:      paps-fix_autoconf_error.patch
Patch9006:      paps-fix_cpi_setting_not_used_issues.patch
Patch9007:      paps-fix_infinite_loop_in_split_text.patch
Patch9008:      paps-fix_tab_print_issues.patch
Patch9009:      paps-fix_non_weak_symbol_issues.patch
Patch9010:      paps-use_correct_fsf_address.patch
Patch9011:      paps-add_ft_header_file.patch
Patch9012:      paps-add_support_for_a3_paper.patch
Patch9013:      paps-add_gobject_glib_lib_for_build.patch

%description
paps is a PostScript converter from plain text file using Pango.
	
	
%package -n texttopaps
Summary:        CUPS filter based on paps
Obsoletes:	%{name}-devel < %{version}
Requires:       cups-filesystem fontpackages-filesystem
%description -n texttopaps
 
paps is a PostScript converter from plain text file using Pango.
 
This package contains a CUPS filter based on paps.


%package        help
Summary:        Documentation for paps

%description    help
Documentation for paps

%prep
%setup -q -a 1	
pushd %{name}-0.6.8
%patch 0000 -p1
%patch 0001 -p1
%patch 0002 -p1
%patch 0003 -p1
%patch 0004 -p1
%patch 9001 -p1
%patch 9002 -p1
%patch 9003 -p1
%patch 9004 -p1
%patch 9005 -p1
%patch 9006 -p1
%patch 9007 -p1
%patch 9008 -p1
%patch 9009 -p1
%patch 9010 -p1
%patch 9011 -p1
%patch 9012 -p1
%patch 9013 -p1
libtoolize -f -c
autoreconf -f -i
popd

%build
./autogen.sh
%configure --disable-static
%{make_build}
 
pushd %{name}-0.6.8
%configure --disable-static
%{make_build}
popd

%install
pushd %{name}-0.6.8
%{make_install}
%delete_la
install -d $RPM_BUILD_ROOT%{_cups_serverbin}/filter
mv $RPM_BUILD_ROOT%{_bindir}/paps $RPM_BUILD_ROOT%{_cups_serverbin}/filter/texttopaps
mv $RPM_BUILD_ROOT%{_mandir}/man1/paps.1 $RPM_BUILD_ROOT%{_mandir}/man1/texttopaps.1
install -d $RPM_BUILD_ROOT%{_datadir}/cups/mime
install -d $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm $RPM_BUILD_ROOT%{_libdir}/libpaps.so
popd

%{make_install}
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING.LIB README
%{_bindir}/paps

%files -n texttopaps
%doc %{name}-0.6.8/COPYING.LIB %{name}-0.6.8/AUTHORS %{name}-0.6.8/README
%{_mandir}/man1/texttopaps.1*
%{_libdir}/libpaps.so.*
%{_cups_serverbin}/filter/texttopaps

%files help
%{_mandir}/man1/paps.1*

%changelog
* Thu Jun 06 2024 xu_ping <707078654@qq.com> - 0.8.0-1
- Package init

* Tue Feb 18 2020 Ling Yang <lingyang2@huawei.com> - 0.6.8-45
- Package init
